Subject: set_task_perms()

From: David Bofinger <[email-masked]>
Date: Tue, 14 Jan 1992 11:34:46 -0800

>Currently, you get an error if you do set_task_persm() to a non-player
>object.  I think that this is wrong, and it should be possible to set
>perms to a non-player object.

Well, if nobody else is going to reply I'll say I'm in favour. Presumably a
non-player object would usually have no special rights at all? (It wouldn't
have authority over it's owner, for example?) Could a normal programmer
set_task_perms() to one of eir own objects, thus disabling special powers?
(Perhaps that could be used as a method of allowing a player to disable one of
eir verbs, e.g. if it were written by someone else as part of a game.)

> (Now, you can argue that
>the way Gary_Severn (well, Dukas, actually) did puppets is wrong or
>abuseful, but I think it was rather clever, and should work.)

I don't know how else it could be done -- it would be much easier to argue I
should never have done it at all than that I did it the wrong way.

------------------------------------------------------------------------------
David Bofinger	AARNet:	[email-masked]
                Snail:	Dept. of Theoretical Physics, RSPhysSE, ANU, ACT, 2601
		MOO:	Ghost_Severn, Black_Nowhere, etc.
------------------------------------------------------------------------------